﻿@using System.Web.UI.WebControls;
@using Portal.Models.Globals;
<table width="80%">
<tr>
<td colspan="6">
@Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                    edtSettings.ControlStyle.Font.Size = 15;
                    edtSettings.Text = "GATE Arrival-Departure Monitoring";
                    edtSettings.ControlStyle.Font.Bold = true;
                }).GetHtml()
</td>
</tr>
<tr>
<td>
 @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Logistic Partner";
                }).GetHtml()
</td>
<td colspan="3">
             @Html.Common().DevExpress().GridLookup(
                    s =>
                    {
                        s.Name = "grlLPHeaderScanGate";
                        s.GridProperties.KeyFieldName = "LPCode";
                        s.Width = System.Web.UI.WebControls.Unit.Percentage(100);
                        s.GridProperties.CallbackRouteValues = new { Controller = "ScanGateInquiry", Action = "LPPartial" };
                        s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(400);
                        s.GridProperties.Height = System.Web.UI.WebControls.Unit.Pixel(320);
                        s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                        s.GridProperties.SettingsPager.PageSize = 100;
                        s.GridProperties.SettingsPager.AlwaysShowPager = true;
                        s.GridProperties.SettingsPager.PageSizeItemSettings.Visible = false;

                        //s.GridProperties.CommandColumn.ShowSelectCheckbox = true;

                        if ((((System.Collections.Generic.List<Portal.Models.Globals.LogisticPartner>)(ViewData["LogisticPartnerData"]))).Count == 1)
                        {
                            s.Text = (((System.Collections.Generic.List<Portal.Models.Globals.LogisticPartner>)(ViewData["LogisticPartnerData"])))[0].LPCode;
                            s.ClientEnabled = false;
                        }
                        
                        s.GridProperties.Columns.Add(c =>
                        {
                            c.Name = "LPCode";
                            c.FieldName = "LPCode";
                            c.Caption = "LP Code";
                            c.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                            c.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                        });
                        s.GridProperties.Columns.Add(c =>
                        {
                            c.Name = "LPName";
                            c.FieldName = "LPName";
                            c.Caption = "LP Name";
                            //c.Width = System.Web.UI.WebControls.Unit.Pixel(160);
                            c.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        });
                    }
                ).Bind(ViewData["LogisticPartnerData"]).GetHtml()
</td>
<td>
 @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Route - Rate";
                }).GetHtml()
</td>
<td>
 @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "txtRouteRate";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(100);
                    edtSettings.Text = "";
                    edtSettings.Properties.ClientSideEvents.KeyDown = "OnKeyDownSearch";
                }).GetHtml()
</td>
<td>
 @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Delivery No";
                }).GetHtml()
</td>
<td>
@Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "txtDeliveryNo";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(120);
                    edtSettings.Text = "";
                    edtSettings.Properties.ClientSideEvents.KeyDown = "OnKeyDownSearch";
                }).GetHtml()
</td>
</tr>

<tr>
<td>
 @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Pick Up Date<b style=\"color:red;\">*</b>";
                    edtSettings.EncodeHtml = false;
                }).GetHtml()
</td>
<td style="margin:0 0 0 0;padding:0 0 0 0;width:100px">
       @* <table style="margin:0 0 0 0;padding:0 0 0 0;" >
        <tr>*@
        @*<td>*@
                     @Html.DevExpress().DateEdit(
                        edtSettings =>
                        {
                            edtSettings.Name = "deFrom";
                            edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(90);
                            edtSettings.Properties.DisplayFormatString = "dd.MM.yyyy";
                            edtSettings.Properties.EditFormatString = "dd.MM.yyyy";
                            edtSettings.Date = DateTime.Now.AddDays(-1);
                        }).GetHtml()
        </td>
        <td>
                 @Html.DevExpress().Label(
                        edtSettings =>
                        {
                            edtSettings.ControlStyle.CssClass = "label";
                            edtSettings.Text = "To";
                            edtSettings.EncodeHtml = false;
                        }).GetHtml()
        </td>
        <td>
         @Html.DevExpress().DateEdit(
                edtSettings =>
                {
                    edtSettings.Name = "deTo";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(90);
                    edtSettings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    edtSettings.Properties.EditFormatString = "dd.MM.yyyy";
                    edtSettings.Date = DateTime.Now;
                }).GetHtml()
        @*</td>        
        </tr>
        </table>*@
</td>
<td>
         @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Gate In Code";
                }).GetHtml()
        </td>
        <td>
                @Html.Common().DevExpress().GridLookup(
                    s =>
                    {
                        s.Name = "grlGate";
                        s.GridProperties.KeyFieldName = "GATE_CODE";
                        s.Width = System.Web.UI.WebControls.Unit.Pixel(100);
                        s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(180);
                        s.GridProperties.CallbackRouteValues = new { Controller = "ScanGateInquiry", Action = "GateCodePartial" };
                        s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                        s.GridProperties.SettingsPager.PageSize = 100;
                        //s.GridProperties.SettingsPager.AlwaysShowPager = false;
                        //s.GridProperties.SettingsPager.PageSizeItemSettings.Visible = true;
                        s.GridProperties.Columns.Add(c =>
                        {
                            c.Name = "GATE_CODE";
                            c.FieldName = "GATE_CODE";
                            c.Caption = "Gate Code";
                            c.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                            c.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                        });
                        s.GridProperties.Columns.Add(c =>
                        {
                            c.Name = "COMPANY_CODE";
                            c.FieldName = "COMPANY_CODE";
                            c.Caption = "COMPANY CODE";
                            c.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                            c.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                        });
                        s.GridProperties.Columns.Add(c =>
                        {
                            c.Name = "PLANT_CD";
                            c.FieldName = "PLANT_CD";
                            c.Caption = "PLANT_CD";
                            c.Width = System.Web.UI.WebControls.Unit.Pixel(150);
                            c.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                        });
                    }
            ).Bind(ViewData["GateCode"]).GetHtml() 

        </td>
        <td>
          @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Arrival Status";
                }).GetHtml()
        </td>
        <td>
        @Html.DevExpress().ComboBox(
                edtSettings =>
                {
                    edtSettings.Name = "cmbStatus";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(120);
                    edtSettings.Properties.Items.Add("");
                    edtSettings.Properties.Items.Add("Advance");
                    edtSettings.Properties.Items.Add("On Time");
                    edtSettings.Properties.Items.Add("Delay");                    
                }).GetHtml()
        </td>
</tr>

<tr>
        <td colspan="6" >
            <table class="tableBottom">
                <tr>
                    <td>
                        @{
                            Html.DevExpress().Button(
                                edtSettings =>
                                {
                                    edtSettings.Text = "Download List";
                                    edtSettings.Name = "cmdDownload";
                                    edtSettings.Width = 100;
                                    edtSettings.ClientSideEvents.Click = "ExportToXLS";
                            }).Render(); 
                        }
                    </td>
                    <td>
                        
                    </td>
                    <td>
                        @Html.DevExpress().Button(
                        edtSettings =>
                        {
                            edtSettings.Text = "Search";
                            edtSettings.Name = "cmdSearch";
                            edtSettings.Width = 80;
                            edtSettings.ClientSideEvents.Click = "FilterData";
                        }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().Button(
                        edtSettings =>
                        {
                            edtSettings.Text = "Clear";
                            edtSettings.Name = "cmdClear";
                            edtSettings.Width = 80;
                            edtSettings.ClientSideEvents.Click = "ClearData";
                        }).GetHtml()
                    </td> 
                </tr>
            </table>
        </td>        
    </tr>
</table>